### Function

# Vips error

#### Declaration [src]

    void
    vips_error (
      const char* domain,
      const char* fmt,
      ...
    )

#### Description [src]

Format the string in the style of `printf()` and append to the error buffer.

See also

`vips_error_system()`, `vips_verror()`.

This function is not directly available to language bindings.

#### Parameters

`domain`

  Type: `const char*`

  The source of the error.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`fmt`

  Type: `const char*`

  `printf()`-style format string for the error.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments to the format string.